petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMLabelDistribute

Create a new label pushed forward over the PetscSF

### Synopsis

    #include "petscdmlabel.h"
    #include "petscis.h"
    PetscErrorCode DMLabelDistribute(DMLabel label, PetscSF sf, DMLabel *labelNew)

### Input Parameters

| label | - the DMLabel
| sf | - the map from old to new distribution

### Output Parameter

labelnew -the new redistributed label

### See Also

DMLabelCreate(), DMLabelGetValue(), DMLabelSetValue(), DMLabelClearValue()

### Level

intermediate

### Location

src/dm/label/dmlabel.c
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages